%global modulename fstream

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-fstream
Version:        1.0.11
Release:        1%{?dist}
Summary:        Advanced file system stream things

License:        ISC
URL:            https://github.com/npm/fstream#readme
Source0:        https://registry.npmjs.org/fstream/-/fstream-1.0.11.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(graceful-fs) >= 4.1.2 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(inherits) >= 2.0.0 with npmlib(inherits) < 2.1.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.0 with npmlib(mkdirp) >= 0.0.0 with npmlib(mkdirp) < 1.0.0))
BuildRequires:  ((npmlib(rimraf) >= 2.0.0 with npmlib(rimraf) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Advanced file system stream things

%package 1.0.11
Summary:        Advanced file system stream things


%description 1.0.11
Advanced file system stream things

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr examples %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr fstream.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.11
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.0.11-1
- Package automatically generated by npm2srpm
